const request = require("../utils/request");

module.exports = {
    downloadFile: (fileId, userId) => {
        return request({
            url: `/snap/download`,
            method: 'get',
            params: {fileId, userId},
            download: true,
            responseType: "stream"
        })
    },
    downloadFileByHttpModule(fileId, userId) {},
    uploadFile: (data, headers) => {
        return request({
            url: `/snap/upload`,
            method: 'post',
            data,
            headers
        })
    },
    downloadTemplate: (id) => {
        return request({
          url: `/api/horizon/template/process/downloadTemplate?resourceId=${id}`,
          download: true,
          responseType: "stream",
          method: 'get'
        })
    },
    uploadTemplate: (data) => {
        return request({
            url: `/api/horizon/template/process/uploadTemplate`,
            method: 'post',
            data,
            header: {
                'Content-Type': 'multipart/form-data'
            },
        })
    },
}
